Bug 995509 - rollback() instead of commit()
rollback() instead of commit()
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: EAP 6.1.1
Assigned To: Russell Dickenson
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 10:53 EDT by Ondrej Chaloupka
Modified: 2014-08-14 11:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 11864, Development Guide-6.1-4 Build Date: 19-07-2013 12:11:48 Topic ID: 4306-433108 [Specified]
Last Closed: 2013-09-16 16:22:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2013-08-09 10:53:51 EDT
Title: Roll Back a Transaction
The example is under rollback chapter. Please, use rollback() method in the example.
And please consider fixing indentation of comment (// Commit the transaction) and three dots above it. This concerns the example in commit transaction chapter as well.
Comment 1 Misty Stanley-Jones 2013-08-25 22:21:13 EDT
The example does have rollback() in the try{} clause. I don't think you would ever roll back the transaction on purpose, would you? 

I have fixed the indentation, which resulted from a tabs/spaces issue. The fix is in revision 501553 but is not yet available for review.
Comment 2 Ondrej Chaloupka 2013-08-26 01:40:03 EDT
You're absolutely right. Sorry. I was just quickly checking the text and I was misguided by the fact that the examples in commit and rollback chapters are the same.
Comment 3 Misty Stanley-Jones 2013-08-26 20:57:33 EDT
I also made the change to topic 4305 (Commit a transaction) to fix the alignment error in the code sample. The main issue of this bug is now moot, as per the last comment, and I do not think alignment issues need a full QE cycle, so moving this straight to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.